# Generated from fauxhai-ng-slim-7.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fauxhai-ng-slim

Name: rubygem-%{gem_name}
Version: 7.5.1
Release: 1%{?dist}
Summary: Fauxhai provides an easy way to mock out your ohai data for testing with chefspec! This "slim" version lacks the fauxhai binary and ships without any Ohai data and instead relies on fetching that data as needed from the source on GitHub
License: MIT
URL: https://github.com/chefspec/fauxhai
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(chef) >= 13.0
# BuildRequires: rubygem(ohai) >= 13.0
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its) >= 1.2
# BuildRequires: rubygem(rspec-its) < 2
BuildArch: noarch

%description
Easily mock out ohai data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 7.5.1-1
- Initial package
